std::default_initializable(3cxx)

NAME
std::default_initializable - [concept.defaultinitializable], concept default_initializable

SYNOPSIS

#include <concepts>

Concept definition

template<typename _Tp>
concept std::default_initializable =  constructible_from<_Tp>
      && requires
      {
        _Tp{};
        (void) ::new _Tp;
      }

Detailed Description

[concept.defaultinitializable], concept default_initializable

Author

Generated automatically by Doxygen for libstdc++ from the source code.